Mods / Common Lib

Category: #Library
Author: DArkHekRoMaNT
Side: Both
Created: Mar 7th 2023 at 9:44 AM
Last modified: Mar 5th at 6:48 PM
Downloads: 78327
Follow Unfollow 501

Latest file for v1.19.4:
CommonLib_VS1.19.4_net7_v2.3.7.zip 1-click install


Library for PlayerCorpse, TpNet and my other mods

Commands:

  • /cl config            allows you to edit the config at runtime
  • /cl rtp <range>   random teleport player within range (or all map if not set)
  • /cl rst <player>   restore temporal stability for this player (or caller if not set)

 


For bug reports, it is better to use GitHub (Issue tracker link), there is a form for reporting.

If you're reporting bugs, please don't write "it doesn't work" or "it's crashing for me". At least specify the version of the mod and the library. If you have a crash - add crash text. If the mod does not work correctly, but does not crash - check client-main.txt and server-main.txt from %appdata%/VintagestoryData/Logs for errors.

Version For Game version Downloads Release date Changelog Download 1-click mod install*
v2.3.7 7875 Mar 5th at 6:48 PM Show CommonLib_VS1.19.4_net7_v2.3.7.zip Install now
v2.3.6 433 Mar 3rd at 2:53 PM Show CommonLib_VS1.19.4_net7_v2.3.6.zip Install now
v2.3.5 618 Mar 1st at 8:07 PM Show CommonLib_VS1.19.4_net7_v2.3.5.zip Install now
v2.3.4 1659 Feb 13th at 11:31 PM Show CommonLib_VS1.19.4-rc.1_net7_v2.3.4.zip Install now
v2.3.3 422 Feb 13th at 7:15 PM Show CommonLib_VS1.19.0_net7_v2.3.3.zip Install now
v2.3.2 11455 Jan 7th at 2:15 AM Show CommonLib_VS1.19.0-rc.5_net7_v2.3.2.zip Install now
v2.3.0 5036 Jan 6th at 2:54 PM Show CommonLib_VS1.19.0-rc.5_net7_v2.3.0.zip Install now
v2.2.0 30379 Jul 19th 2023 at 12:29 PM Show CommonLib_VS1.18.6_netstandard2.0_v2.2.0.zip Install now
v2.1.1 10655 May 15th 2023 at 3:27 AM Show CommonLib_v1.18.3_v2.1.1.zip Install now
v2.1.0 141 May 14th 2023 at 10:27 PM Show CommonLib_v1.18.3_v2.1.0.zip Install now
v2.0.5 512 May 14th 2023 at 7:11 AM Show CommonLib_v1.18.3_v2.0.5.zip Install now
v2.0.4 5357 Apr 19th 2023 at 7:03 AM Show CommonLib_v1.18.0-rc.6_v2.0.4.zip Install now
v2.0.3 1201 Apr 8th 2023 at 1:14 PM Show CommonLib_v1.18.0-rc.1_v2.0.3.zip Install now
v2.0.2 628 Apr 5th 2023 at 11:24 PM Show CommonLib_v1.18.0-rc.1_v2.0.2.zip Install now
v2.0.1 244 Apr 5th 2023 at 9:42 AM Show CommonLib_v1.18.0-rc.1_v2.0.1.zip Install now
v2.0.0 304 Apr 4th 2023 at 11:07 AM Show CommonLib_v1.18.0-rc.1_v2.0.0.zip Install now
v1.0.4 562 Mar 24th 2023 at 8:12 PM Show CommonLib_v1.18.0-pre.5_v1.0.4.zip Install now
v1.0.3 647 Mar 11th 2023 at 3:06 PM Show CommonLib_v1.18.0-pre.5_v1.0.3.zip Install now
v1.0.1 199 Mar 7th 2023 at 9:44 AM Show CommonLib_v1.18.0-pre.5_v1.0.1.zip Install now

39 Comments (oldest first | newest first)

💬 DArkHekRoMaNTAuthor, Mar 5th at 6:50 PM

Should be fixed in v2.3.7 now Cpt_C0nfus3d WickedSchnitzel  Caimbul

💬 Caimbul, Mar 5th at 7:15 AM

I'm also getting the same error. Maybe this helps?

4.3.2024 23:09:50 [Error] [CommonLib_VS1.19.4_net7_v2.3.6.zip] An exception was thrown trying to to load the ModInfo:
4.3.2024 23:09:50 [Error] [CommonLib_VS1.19.4_net7_v2.3.6.zip] Exception: Error converting value "Сode" to type 'Vintagestory.API.Common.EnumModType'. Path 'type', line 2, position 15.
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.EnsureType(JsonReader reader, Object value, CultureInfo culture, JsonContract contract, Type targetType)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.CreateValueInternal(JsonReader reader, Type objectType, JsonContract contract, JsonProperty member, JsonContainerContract containerContract, JsonProperty containerMember, Object existingValue)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.SetPropertyValue(JsonProperty property, JsonConverter propertyConverter, JsonContainerContract containerContract, JsonProperty containerProperty, JsonReader reader, Object target)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.PopulateObject(Object newObject, JsonReader reader, JsonObjectContract contract, JsonProperty member, String id)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.CreateObject(JsonReader reader, Type objectType, JsonContract contract, JsonProperty member, JsonContainerContract containerContract, JsonProperty containerMember, Object existingValue)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.CreateValueInternal(JsonReader reader, Type objectType, JsonContract contract, JsonProperty member, JsonContainerContract containerContract, JsonProperty containerMember, Object existingValue)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.Deserialize(JsonReader reader, Type objectType, Boolean checkAdditionalContent)
at Newtonsoft.Json.JsonSerializer.DeserializeInternal(JsonReader reader, Type objectType)
at Newtonsoft.Json.JsonSerializer.Deserialize(JsonReader reader, Type objectType)
at Newtonsoft.Json.JsonConvert.DeserializeObject(String value, Type type, JsonSerializerSettings settings)
at Newtonsoft.Json.JsonConvert.DeserializeObject[T](String value, JsonSerializerSettings settings)
at Newtonsoft.Json.JsonConvert.DeserializeObject[T](String value)
at Vintagestory.Common.ModContainer.LoadModInfo(ModCompilationContext compilationContext, ModAssemblyLoader loader) in VintagestoryLib\Common\API\ModContainer.cs:line 268

💬 WickedSchnitzel, Mar 4th at 7:26 AM

same as below

💬 Cpt_C0nfus3d, Mar 4th at 1:53 AM

DArkHekRoMaNT

Although you can now join the server without the 0 mods message, Stone Quarry no longer works.
I only have white blocks with question marks.

💬 DArkHekRoMaNTAuthor, Mar 3rd at 9:29 PM

Use v2.3.2 for now, it's definitely working (for 1.19.4 too). I'll see that happened with modinfo.json tomorrow

💬 Muricht, Mar 3rd at 5:59 PM

Can confirm OpPointBaker. v2.3.6 not updating.

💬 OpPointBaker, Mar 3rd at 3:10 PM

Just updated VS from 1.19.1 to 1.19.4, updated Comon Lib to 2.3.6

Mod Manager window says unable to load mod.

Relevant text from client-main.txt log:
3.3.2024 07:58:48 [Error] [CommonLib_VS1.19.4_net7_v2.3.6.zip] An exception was thrown trying to to load the ModInfo:
3.3.2024 07:58:48 [Error] [CommonLib_VS1.19.4_net7_v2.3.6.zip] Exception: Error converting value "Сode" to type 'Vintagestory.API.Common.EnumModType'. Path 'type', line 2, position 15.
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.EnsureType(JsonReader reader, Object value, CultureInfo culture, JsonContract contract, Type targetType)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.CreateValueInternal(JsonReader reader, Type objectType, JsonContract contract, JsonProperty member, JsonContainerContract containerContract, JsonProperty containerMember, Object existingValue)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.SetPropertyValue(JsonProperty property, JsonConverter propertyConverter, JsonContainerContract containerContract, JsonProperty containerProperty, JsonReader reader, Object target)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.PopulateObject(Object newObject, JsonReader reader, JsonObjectContract contract, JsonProperty member, String id)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.CreateObject(JsonReader reader, Type objectType, JsonContract contract, JsonProperty member, JsonContainerContract containerContract, JsonProperty containerMember, Object existingValue)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.CreateValueInternal(JsonReader reader, Type objectType, JsonContract contract, JsonProperty member, JsonContainerContract containerContract, JsonProperty containerMember, Object existingValue)
at Newtonsoft.Json.Serialization.JsonSerializerInternalReader.Deserialize(JsonReader reader, Type objectType, Boolean checkAdditionalContent)
at Newtonsoft.Json.JsonSerializer.DeserializeInternal(JsonReader reader, Type objectType)
at Newtonsoft.Json.JsonConvert.DeserializeObject(String value, Type type, JsonSerializerSettings settings)
at Newtonsoft.Json.JsonConvert.DeserializeObject[T](String value, JsonSerializerSettings settings)
at Vintagestory.Common.ModContainer.LoadModInfo(ModCompilationContext compilationContext, ModAssemblyLoader loader) in VintagestoryLib\Common\API\ModContainer.cs:line 268

 

Have not tried to load a save, so there is no server-main.txt relavent text. 

💬 DArkHekRoMaNTAuthor, Mar 3rd at 2:56 PM

"0 mods need to downloaded" should be fixed in v2.3.6 XurxoMF bringitonwimps Terrek mj_outlaw SecretFoxfire

💬 SecretFoxfire, Mar 2nd at 7:04 PM

Just a heads up, unfortuantely the new version still has not fixed the issue of clients getting "0 mods need to be downloaded" and being unable to connect. Confirmed that this mod is the one causing it. My players are currently downloading it manually, which works for now. Thanks!

💬 mj_outlaw, Mar 2nd at 5:57 PM

Its crushing my game - hangs on "0 mods to download" or just shut down the game. Terrek method helped me.  Cpt_C0nfus3d where do you set that value?

💬 Terrek, Mar 2nd at 3:32 PM

I believe the problem here is that the client doesn't want to download the mod; once I figured things out and manually updated my client, I was able to connect to my server.

💬 bringitonwimps, Mar 2nd at 1:57 AM

well still with the 2.3.5 i get the 0 mods need downloaded and hangs

💬 XurxoMF, Mar 1st at 8:29 PM

One of my friends has the same error while joining my server, idk if is thins mod or not LordTzeentch

💬 XurxoMF, Mar 1st at 8:27 PM

"You are missing 0 mods to join" since the update from 15 minutos ago DArkHekRoMaNT

💬 DArkHekRoMaNTAuthor, Mar 1st at 8:13 PM

Looks like an unrelated error. Does this persist if the mod is disabled? LordTzeentch

💬 DArkHekRoMaNTAuthor, Mar 1st at 8:11 PM

Fixed. I've reverted the changes to requiredOnClient/Server until vanilla fixes this completely :(
Cpt_C0nfus3d PeterSanderson Kotl

💬 Cpt_C0nfus3d, Feb 29th at 2:25 PM

PeterSanderson

Kotl

The mod developer and the server owners must set "requiredOnClient": true, in the mod, then the 0 mods will stop. I had the same problem and solved it with this method.

💬 LordTzeentch, Feb 28th at 7:15 PM

I just installed the new version 1.19.4, downloaded the commonlib with the 1-click install

CommonLib_VS1.19.4-rc.1_net7_v2.3.4.zip

the game crashes, below is the crash report:

Running on 64 bit Windows 10.0.22631.0 with 32665 MB RAM
Game Version: v1.19.4 (Stable)
28/02/2024 20:13:49: Critical error occurred
Loaded Mods:
System.NullReferenceException: Object reference not set to an instance of an object.
at Vintagestory.Client.NoObf.ShaderAPI.ReloadShaders() in VintagestoryLib\Client\API\ShaderAPI.cs:line 53
at Vintagestory.Client.NoObf.ClientSystemStartup.HandleServerReady(Packet_Server packet) in VintagestoryLib\Client\Systems\Startup.cs:line 881
at Vintagestory.Client.NoObf.ProcessPacketTask.ProcessPacket(Packet_Server packet) in VintagestoryLib\Client\Systems\NetworkProcess.cs:line 446
at Vintagestory.Client.NoObf.ProcessPacketTask.Run() in VintagestoryLib\Client\Systems\NetworkProcess.cs:line 440
at Vintagestory.Client.NoObf.ClientMain.ExecuteMainThreadTasks(Single deltaTime) in VintagestoryLib\Client\ClientMain.cs:line 776
at Vintagestory.Client.GuiScreenConnectingToServer.RenderToDefaultFramebuffer(Single dt) in VintagestoryLib\Client\MainMenu\Screens\GuiScreenConnectingToServer.cs:line 313
at Vintagestory.Client.ScreenManager.Render(Single dt) in VintagestoryLib\Client\ScreenManager.cs:line 676
at Vintagestory.Client.ScreenManager.OnNewFrame(Single dt) in VintagestoryLib\Client\ScreenManager.cs:line 651
at Vintagestory.Client.NoObf.ClientPlatformWindows.window_RenderFrame(FrameEventArgs e) in VintagestoryLib\Client\ClientPlatform\GameWindow.cs:line 88
at OpenTK.Windowing.Desktop.GameWindow.Run()
at Vintagestory.Client.ClientProgram.Start(ClientProgramArgs args, String[] rawArgs) in VintagestoryLib\Client\ClientProgram.cs:line 324
at Vintagestory.Client.ClientProgram.<>c__DisplayClass9_0.<.ctor>b__1() in VintagestoryLib\Client\ClientProgram.cs:line 128
at Vintagestory.ClientNative.CrashReporter.Start(ThreadStart start) in VintagestoryLib\Client\ClientPlatform\ClientNative\CrashReporter.cs:line 93

 

How should I solve this problem?

💬 Kotl, Feb 28th at 12:35 PM

when I have this mod on the 1.19.4 server and Helve Hummer Extensions, when connecting to the server, writes it is necessary to download 0 mods and does not allow it to the server

💬 Peridot, Feb 23rd at 11:12 PM

thund3rmonk3y1  I just had the same problem, using 2.3.3 instead of the most recent 2.3.4 resolved the issue for me, no idea why.

Sorry 2.3.3 didnt work either lol, its because 2.3.3+ is for 1.19.4, you wanna use mod version 2.3.2 for game version 1.19.3

💬 thund3rmonk3y1, Feb 23rd at 6:51 PM

Hi I am trying to use the teleportation mod and downloaded commonLib as it's dependency but the game says there are dependency issues with commonLib. Was wondering if maybe it conflicts with other mod dependencies or if there is something I am forgetting. Playing on 1.19.3

💬 DArkHekRoMaNTAuthor, Feb 13th at 11:32 PM

v2.3.3+ only for 1.19.4-rc.1 (it need vanilla bugfix)

💬 PeterSanderson, Feb 13th at 9:35 PM

Installed 2.3.3 to my mp server, now is producing a "You must download 0 mods" error and not allowing me to join. Reverting to previous release fixed the problem

💬 WickedSchnitzel, Jan 19th at 9:50 PM
1.19 stable
[Server Error] [game] Exception: Object reference not set to an instance of an object.
   at Tavis.JsonPointer..ctor(String pointer)
   at Vintagestory.ServerMods.NoObf.ModJsonPatchLoader.ApplyPatch(Int32 patchIndex, AssetLocation patchSourcefile, JsonPatch jsonPatch, Int32& applied, Int32& notFound, Int32& errorCount) in VSEssentials\Loading\JsonPatchLoader.cs:line 270
   at Vintagestory.ServerMods.NoObf.ModJsonPatchLoader.AssetsLoaded(ICoreAPI api) in VSEssentials\Loading\JsonPatchLoader.cs:line 157
   at Vintagestory.Common.ModLoader.TryRunModPhase(Mod mod, ModSystem system, ICoreAPI api, ModRunPhase phase) in VintagestoryLib\Common\API\ModLoader.cs:line 626


seems to cause problems with schematics

💬 DArkHekRoMaNTAuthor, Jan 6th at 2:57 PM

Updated to 1.19.0-rc.5
Some dependent mods are still not updated (in progress), but they can work at 1.19 too

💬 Pr0fesseur, Jan 2nd at 7:01 AM

Any idea if this will be updated for 1.19?

💬 TheNiteFox, Oct 28th 2023 at 11:23 PM

I just tried using this mod in 1.18.15 because its required for helve hammer & Stone Quarry and for both mods it failed to load the mod .json files on server side. If you need the error report just let me know. 

💬 RamenFiend, May 15th 2023 at 4:40 AM

Fix works. Thanks for all your hard work DArkHekRoMaNT

💬 DArkHekRoMaNTAuthor, May 15th 2023 at 3:28 AM

Fixed in 2.1.1 RamenFiend MrGr33n

💬 RamenFiend, May 15th 2023 at 1:23 AM

Comfirming crash- 1.18.3 & 2.1.0. Won't spam thread with logs- at me and I can post if needed.

💬 MrGr33n, May 15th 2023 at 12:46 AM

Common Lib 2 crash. v2.1.0

💬 Heebeejeebees, May 10th 2023 at 10:56 PM

Have fun! Let me know if you need anything else.

💬 DArkHekRoMaNTAuthor, May 10th 2023 at 10:05 PM

client-main and server-main.txt from VintagestoryData/Logs , you can send it to me on Discord/GitHub, or see if there are any errors. Or at least crash message Heebeejeebees

💬 Heebeejeebees, May 10th 2023 at 9:57 PM

DArkHekRoMaNT Which file? I can invoke a crash and provide whatever you ask.

💬 DArkHekRoMaNTAuthor, May 10th 2023 at 8:36 PM

> CommonLib crashes
What crash? I need crash log  Heebeejeebees

💬 Heebeejeebees, May 10th 2023 at 8:14 PM

Something is broken about this mod. While trying to debug latent server-related issues (as it was never used for months on-end) I created a new world with 48 mods in total, some of them requiring CommonLib because they're things like Player Corpse, Teleportation Network and Extra Overlays.

That last one, it's causing issues because even though Extra Overlays is suppose to be client-only, on WIndows when a server with a world I created using CommonLib and dependent mods is used, if Extra Overlays does not exist, CommonLib crashes. But on Linux that doesn't appear to be the case.

This lead to a marathon debugging session where not only had I needed to figure out Tabletop Games was a problem (API change), but also system-specific crashing issues were occurring, because on EndeavourOS (Arch) no such problem happens for me but my friends are on Windows.

On second glance it's not system-specific, it happpens regardless and it's dumb.

💬 WickedSchnitzel, Apr 22nd 2023 at 5:05 PM

ok, it seems to be a combination of your mod and "a wearable light". But i guess thats something the other mod author has to fix DArkHekRoMaNT

💬 WickedSchnitzel, Apr 22nd 2023 at 4:55 PM

Sorry, my bad. I was testing it before and when i installed it, the clothing trader did not work. And as i removed it, the trader did work. But now, after testing again, it worked with your mod as well. So i need to test again. Strange. Forget it for now.

💬 DArkHekRoMaNTAuthor, Apr 22nd 2023 at 4:40 PM

Lib does nothing at all with traders. Why do you think it's related? o.O
It also cannot conflict with /tpt (these are different commands)
WickedSchnitzel

(edit comment delete)